#ifndef SCHEMA_H_
#define SCHEMA_H_

#include "iopclib/iopcHeaders.h"

using namespace iopc;
using namespace std;

class Person : public OidObject {
public:
	EShort age;
	EString name;
};

class Employee : public Person {
public:
	EInt salary;
};

class Student : public Person {
public:
	EString studcardid;
	DbPtr<Employee> supervisor;
};

class PhdStudent : public Student {
public:
	EShort scholarship;
};


#endif /*SCHEMA_H_*/
