export LD_LIBRARY_PATH=/home/iopc/iopc/build
IOPCSP=~/iopc/build/iopcsp

eval SOURCE_FILE=\${$#}
FILENAME=`echo $SOURCE_FILE | sed "s;\(.*\)\..*;\1;"`
gccxml $* -fxml=$FILENAME.cxml
if [ ! -e "$FILENAME.cxml" ]; then
	echo "Error processing file $SOURCE_FILE"
	exit 1
fi
$IOPCSP $FILENAME.cxml $FILENAME
GCCPARAM=`echo "$*" | sed "s;\(.*\)\..*;\1;"`
gcc -x c++ -c $GCCPARAM.ic -o $FILENAME.ic.o
gcc -c $*
ar -r $FILENAME.a $FILENAME.o $FILENAME.ic.o
rm $FILENAME.o $FILENAME.ic.o $FILENAME.cxml $FILENAME.ic $FILENAME.ih
