/**
 * @file oracle10gTypeMappingFeature.cpp
 *
 * @author Petr Cermak
 */

#ifndef ORACLE10GTYPEMAPPINGFEATURE_H_
#define ORACLE10GTYPEMAPPINGFEATURE_H_

#include "iopcdb/typeMappingFeature.h"
#include "iopccommon/metadataHolder.h"

namespace iopc {


class Oracle10gTypeMappingFeature : public TypeMappingFeature
{
public:
	virtual std::string getTypeSql(const Type& type, const MetadataHolder& meta);
	void initTypes();
};


}


#endif /*ORACLE10GTYPEMAPPINGFEATURE_H_*/
