#ifndef SCHEMA_H_
#define SCHEMA_H_

#include "iopcmeta/iopcMetaHeaders.h"

using namespace iopc;
using namespace std;

class Person: public iopc::Object {
public:
	EString name;
	EShort age;
};

class Employee: public Person {
private:
	EInt salary;
public:
	Employee() {};
	Employee(string name, short int age, int salary) {
		this->name = name;
		this->age = age;
		this->salary = salary;
	}

	void setSalary(int salary) {
		this->salary = salary;
	};
	int getSalary() {
		return salary;
	};

	friend class iopc::TypeDesc<Employee>;
};

class Student: public Person {
public:
	EString studcardid;
};

class PhdStudent: public Student {
public:
	EShort scholarship;
};

#endif /*SCHEMA_H_*/
